ata_to_sense_error
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_to_sense_error — convert ATA error to SCSI error

## Synopsis

`void ata_to_sense_error (` | unsigned | id,
| u8 | drv_stat,
| u8 | drv_err,
| u8 * | sk,
| u8 * | asc,
| u8 * | ascq,
| int | verbose`)`;

## Arguments

`id`

  ATA device number

`drv_stat`

  value contained in ATA status register

`drv_err`

  value contained in ATA error register

`sk`

  the sense key we'll fill out

`asc`

  the additional sense code we'll fill out

`ascq`

  the additional sense code qualifier we'll fill out

`verbose`

  be verbose

## Description

Converts an ATA error into a SCSI error. Fill out pointers to SK, ASC, and ASCQ bytes for later use in fixed or descriptor format sense blocks.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_dump_status | Home | ata_gen_ata_sense